import { ReactNode } from 'react';
type Set<T> = (fn: (value: Partial<T>) => void) => void;
export default function createCustomerStore<T>(defaultData?: Partial<T>): {
    useSelectorContext: <SelectorOutPut>(selector: (data: T) => SelectorOutPut) => [SelectorOutPut, Set<T>];
    Provider: ({ children, defaultValue }: {
        children: ReactNode;
        defaultValue?: Partial<T> | undefined;
    }) => import("react/jsx-runtime").JSX.Element;
};
export {};
